using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.BS
{
    /// <summary>
    /// 检查类型表
    /// </summary>
    [Description("检查类型表")]
    public class T_BS_CHECK_TYPE : TreeEntityBase<T_BS_CHECK_TYPE>
    {
        /// <summary>
        /// 类型编号
        /// </summary>
        [Description("检查类型编号")]
        [CUnique]
        [FormFieldTable]
        [FormFieldEdit]
        [DataFieldLength(50)]
        public string CODE { get; set; }

        /// <summary>
        /// 类型名称
        /// </summary>
        [Description("检查类型")]
        [FormFieldTable]
        [FormFieldEdit]
        [DataFieldLength(200)]
        public string NAME { get; set; }

        /// <summary>
        /// 启用标志
        /// </summary>
        [Description("启用标志")]
        [FormFieldTable]
        [FormFieldEdit]
        [EnumName("FMEnableStatusEnum")]
        public int ENABLE_STATUS { get; set; }

        /// <summary>
        /// 排序号
        /// </summary>
        [Description("排序号")]
        [FormFieldEdit]
        public int NUM { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        [Description("备注")]
        [FormFieldEdit]
        [DataFieldLength(500)]
        public string REMARK { get; set; }


        /// <summary>
        /// 导航：检查类型检查层级表
        /// </summary>
        [Description("导航：检查类型关联检查层级中间表")]
        [FormFieldEdit]
        public virtual ICollection<T_BS_CHECK_TYPE_LEVEL> Nav_ListCheckTypeLevel { get; set; }

        /// <summary>
        /// 导航：生产单元
        /// </summary>
        [Description("导航：生产单元")]
        [FormFieldEdit]
        public virtual ICollection<T_BS_CHECK_TYPE_MINETYPE> Nav_ListMineType { get; set; }

    }
}
